Subject: python-x2go / pyhoca-gui: Windows PulseAudio 3.0 and later fail to start

From: Michael DePaulo <[email-masked]>
Date: Sat, 5 Jul 2014 08:39:12 -0400

Package: python-x2go
Version: 5.0.0.0-preview

This is basically bug 422, but applied to pyhoca-gui via its python-x2go code.

The details are a little bit different. pyhoca-gui and python-x2go do
not override %USERPROFILE% for example. However, the same symptoms
occur.

I am about to check in a fix. It will not include the logic to be safe
with PulseAudio 0.9.6, so it will break compatibility with 0.9.6. That
logic would need to be ported from QT/C++ to Python2. However I deem
that compatibility breakage appropriate because:
1. Compatibility with PulseAudio 1.1 will be retained.
2. There has been no reason to ship x2goclient 4.0.2.x with PulseAudio
1.1 or 0.9.6 (rather than 5.0), other than the 1 XP-specific bug #526.
(Which I have already commited a fix for in x2goclient 4.0.2.1's
previews anyway.)